#importexport.R
#R script for demonstrating importing and exporting simple data sets

#For comma-delimited files (*.csv):

# /home/billk/MI205/basicmechanics/data1.csv
df1<- read.table("/home/billk/MI205/basicmechanics/data1.csv",
                 header=T, 
                 sep=",",  
                 as.is = T, 
                 na.strings=".", 
                 skip=0)

dim(df1) # 460 7

head(df1) # prints first 6 or more lines to R prompt
names(df1) # prints column names on R prompt

#For space/tab delimited file 
# /home/billk/MI205/basicmechanics/data2.tab

df2<- read.table("/home/billk/MI205/basicmechanics/data2.tab",
                header=T, 
                as.is=T, 
                skip=1)

dim(df2) # 

head(df2) # prints first 6 or more lines to R prompt

names(df2) # prints column names on R prompt


# add new column using data from an existing column
df2$NEWdv<-df2$DV

#add comment column and reorder columns
df2$C<-rep(0,length(df2$DV))

df2<-df2[,c(14,1:13)]

# view first few lines of dataframe
head(df2)

#export data set
write.table(df2, file = "/home/billk/MI205/basicmechanics/new.csv",
            sep = ",", 
            col.names=T, 
            row.names=F)


