###################################################
### chunk number 1: 
###################################################
options(prompt = ' ')
options(continue = ' ')
options(width = 60)
RweaveLatexOptions(list(width = 4, height = 4)) # make 5 inch by 5 inch the default figure size


###################################################
### chunk number 2: 
###################################################
library(metrumrg)
prob1<-read.table(file="MI205/datasummary/prob1.tab", skip=0, header=TRUE)
head(prob1)
median(prob1$DV)
mean(prob1$DV)
summary(prob1[prob1$SEX==0, c("DV")])


###################################################
### chunk number 3: 
###################################################
summary(prob1)


###################################################
### chunk number 4: 
###################################################
set.seed(35241)
prob1<-read.table(file="MI205/datasummary/prob1.tab", skip=0, header=TRUE)
IDs <- unique(prob1$ID)
race <- sample(c("Caucasian","Asian","African American","Other"), 40, replace=T)
food <- sample(c(0:2), 40, replace=T)
wt2 <- rnorm(40, mean=5, sd=2)
racefoodwt2 <- data.frame("ID" = IDs, "RACE" = race, "FOOD" = food, "WT2" = wt2)
prob1 <- merge(prob1, racefoodwt2, by="ID")
prob1$WT2 <- prob1$WT+prob1$WT2
prob1$WT3 <- prob1$WT2
prob1$WT3[prob1$WT3>80] <- NA
prob1$RACE <- as.factor(prob1$RACE)
prob1$SEX <- as.factor(prob1$SEX)
prob1$FOOD <- as.factor(prob1$FOOD)
summary(prob1)


###################################################
### chunk number 5: 
###################################################
table(prob1$SEX)
table(prob1$SEX, prob1$RACE)


###################################################
### chunk number 6: 
###################################################
table(prob1[!duplicated(prob1$ID), c("SEX")])
table(prob1[!duplicated(prob1$ID), c("SEX","RACE")])
table(prob1[!duplicated(prob1$ID), c("SEX","FOOD")])
table(prob1[!duplicated(prob1$ID), c("FOOD","SEX","RACE")])


###################################################
### chunk number 7: 
###################################################
args(apply)


###################################################
### chunk number 8: 
###################################################
apply(X=prob1[!duplicated(prob1$ID),c("WT","CLCR")], MARGIN=2, FUN=mean)
apply(X=prob1[!duplicated(prob1$ID),c("WT","WT2")], MARGIN=1, FUN=mean)


###################################################
### chunk number 9: 
###################################################
wt.ind <- apply(X=prob1[!duplicated(prob1$ID),c("WT","WT2")], MARGIN=1, FUN=mean)
plot(x=unique(prob1$ID), 
     y=wt.ind, 
     xlab="ID", 
     ylab = "Mean Weight Across Occasions")


###################################################
### chunk number 10: 
###################################################
prob1.ind <- prob1[!duplicated(prob1$ID),]
lapply(X=prob1.ind[ ,c("DV","WT")], FUN = max)
lapply(X=prob1[ ,c("DV","WT")], FUN = max) 
lapply(X=prob1[ ,c("DV","WT3")], FUN = max) 


###################################################
### chunk number 11: 
###################################################
maxDV <- tapply(X=prob1$DV, INDEX=prob1[,c("ID")], FUN=max)
head(maxDV)
maxDV <- tapply(X=prob1$DV, INDEX=prob1[,c("ID")], FUN=max, simplify=FALSE)
head(maxDV)


###################################################
### chunk number 12: 
###################################################
args(aggregate.data.frame)
prob2<-prob1
prob1$VISIT<-1
prob2$VISIT<-5
prob2$DV <- prob2$DV*5
prob1 <- rbind(prob1, prob2)
maxDVbyVISIT <- aggregate.data.frame(x=prob1[,c("DV")], by=list(prob1$VISIT, prob1$ID), FUN=max)
head(maxDVbyVISIT, n=12)


###################################################
### chunk number 13: 
###################################################
testNA <- is.na(prob1$WT3)
unique(testNA)
length(testNA)


###################################################
### chunk number 14: 
###################################################
prob3 <- prob1[testNA,]
dim(prob3)
unique(prob3$WT3)
prob4 <- prob1[!testNA,]
dim(prob4)
unique(prob4$WT3)


