###################################################
### chunk number 1: 
###################################################
options(prompt = ' ')
options(continue = ' ')
options(width = 60)
RweaveLatexOptions(list(width = 4, height = 4)) # make 5 inch by 5 inch the default figure size


###################################################
### chunk number 2: 
###################################################
args(ifelse)


###################################################
### chunk number 3: 
###################################################
a <- c(1,2,3,-3,-4,4,6,7)
sqrt(a) # this results in a warning message for the negative values


###################################################
### chunk number 4: 
###################################################
sqrt(ifelse(a > 0, a, NA)) # no warnings


###################################################
### chunk number 5: 
###################################################
set.seed(21345)
tage <- data.frame("AGE"=runif(100, 18, 45),
                   "WT"=runif(100,40,100), 
                   "SEX"=c(rep(0,50),rep(1,50)), 
                   # 0 = female, 1 = male
                   "SCR"=c(runif(100,0.5,1.8))
                   )
summary(tage)


###################################################
### chunk number 6: 
###################################################
tage$bin <- ifelse(tage$AGE < 20, 1,
                   ifelse(tage$AGE < 30, 2,
                          ifelse(tage$AGE < 40, 3,
                                 4
                                 )
                          )
                   )
head(tage, 10)


###################################################
### chunk number 7: 
###################################################
tage$bin2[tage$AGE<20] <- 1
tage$bin2[tage$AGE<30] <- 2
tage$bin2[tage$AGE<40] <- 3
head(tage, 10)


###################################################
### chunk number 8: 
###################################################
crclx <- function(age, wt, scr){
 tmp <- (140-age)*wt/(scr*72)
 return(tmp) 
}
tage$CRCL <- ifelse(tage$SEX==1, 
                    crclx(tage$AGE, tage$WT, tage$SCR),
                    crclx(tage$AGE, tage$WT, tage$SCR) * 0.85
                    )                    
head(tage)


###################################################
### chunk number 9: 
###################################################
tauc <- data.frame("AGE"=runif(10000, 2, 12),
                   "AUC"=runif(10000,500,5000),
                   "TRIAL"=sort(rep(c(1:100),100))
                   )
tauc$bins <- ifelse(tauc$AGE < 4, 1,
                   ifelse(tauc$AGE < 6, 2,
                          ifelse(tauc$AGE < 9, 3,
                                 4
                                 )
                          )
                   )
head(tauc)
table(tauc$bins)
sauc <- aggregate(tauc$AUC, list(TRIAL=tauc$TRIAL,AGEB=tauc$bins), median)
saucq <- tapply(sauc$x, list(sauc$AGEB), quantile, probs=c(0.025, 0.5, 0.975))
# saucq is a list object containing the results of applying quantile by AGE bin to sauc
rsaucq <- do.call("rbind",saucq)
head(rsaucq)


###################################################
### chunk number 10: 
###################################################
prob1<-read.table(file="prob1.tab", skip=0, header=TRUE)
head(prob1)
prob1.ind <- split(prob1, prob1$ID)
# use lapply to calculate the median DV for each individual
# and return the results to a new list of dataframes called res
res <- lapply(prob1.ind, function(df){
  df$mDV <- median(df$DV, na.rm=TRUE)
  return(df)
  }
 )
# look at the first item in the res list
head(res[1])
# use do.call to rbind the list of dataframes into one dataframe
prob2 <- do.call("rbind", res)                    
head(prob2)


###################################################
### chunk number 11: 
###################################################
prob1<-read.table(file="prob1.tab", skip=0, header=TRUE)
# AMT should be equal to zero when DV > 0
any(prob1$AMT[prob1$DV>0]==0)
# the return value is TRUE indicating all AMT==0 when DV>0


###################################################
### chunk number 12: 
###################################################
prob2 <- prob1
prob2$SBP <- runif(length(prob2$ID),120,160)
# test if ID and TIME are the same in both dataframes
all(prob1$ID==prob2$ID)
all(prob1$TIME==prob2$TIME)
# both results are TRUE so we can copy SBP over to prob1
prob1$SBP <- prob2$SBP


###################################################
### chunk number 13:  
###################################################
 tage <- data.frame("AGE"=runif(100, 18, 45),
                    "WT"=runif(100,40,100), 
                    "SEX"=c(rep(0,30),rep(1,50), rep(NA,20)), 
                    # 0 = female, 1 = male
                    "SCR"=as.character(c(round(runif(75,0.5,1.8),2),rep("NA",25)))
                    )
 crclx <- function(age, wt, scr){
  tmp <- (140-age)*wt/(scr*72)
  return(tmp) 
 }
 
 crclx(tage$AGE, tage$WT, tage$SCR)
 
## # The above function results in an error because not all variables are
## # numeric. Lets say we wanted to test for numeric values and report
## # the problem rather than getting this error.
 crclx2 <- function(age, wt, scr){
  if(any(!is.numeric(age)|!is.numeric(wt)|!is.numeric(scr)))stop('variables must be numeric')
  tmp <- (140-age)*wt/(scr*72)
  return(tmp) 
 }
## 
 crclx2(tage$AGE, tage$WT, tage$SCR)
 str(tage)
 tage$SCR <- as.numeric(as.character(tage$SCR))
 crclx(tage$AGE, tage$WT, tage$SCR)


