#irregular extraction
id <- c('PROT300-1', 'PROT10-35', 'PROT5-281')
data.frame(id=id)
splits <- strsplit(id,'-', fixed=TRUE)
splits
prot <- sapply(splits,`[`,1)
prot

#stratified imputation
pk <- data.frame(
  subject=rep(letters[1:3],each=3),
  time=rep(1:3,3),
  weight=c(70,70.5,69,NA,71,70,72, 72,NA)
)
pk
library(metrumrg)
pk$WEIGHT <- reapply(pk$weight,INDEX=pk$subject,FUN=locf)
pk

#dynamic transformation
set.seed(0)
dose <- data.frame(
  subject = rep(letters[1:3], each = 2),
  time = c(0,2,1,3,0,2),
  amount = rep(c(40,60,80), each = 2)
)
pk <- data.frame(
  subject = rep(letters[1:3], each = 4),
  time = c(0,1,2,3,0,1,2,3,0,1,2,3),
  conc = signif(rnorm(12)+2,2),
  pain =c(5,NA,4,3,NA,6,4,3,4,5,3,NA)
)
demo <- data.frame(
  subject = letters[1:4],
  race = c('asian','white','black','other'),
  sex = c('female','male','female','male'),
  weight = c(75, 70, 73, 68)
)
dose
pk
demo

merge(
  merge(
    transform(dose, amount=amount/2,compartment=1),
    transform(dose, amount=amount/2,compartment=2),
    all=TRUE
  ),
  pk,
  all=TRUE
)
data <- merge(
  transform(dose,evid=1),
  transform(pk,evid=0),
  all=TRUE
)
data

#complex criteria
#e.g., ignore all non-zero concentrations that occur before the first dose.
data$before1stDose <- with(
  data,
  before(
    evid==1,
    within=subject
  )
)
data$ignore <- with(data, evid==0 & !is.na(conc) & conc > 0 & before1stDose)
data

#table reorganization
a <- data.frame(
  subject=c('a','a','b','b'),
  position=c('sit','stand','sit','stand'),
  SBP=c(120,130,115,125),
  DBP=c(80,90,75,85)
)
a
molten <- melt(
  a,
  id.var=c('subject','position'),
  measure.var=c('SBP','DBP')
)
molten
cast(molten, subject + variable ~ position)
cast(molten, subject + position ~ variable)



