###################################################
### chunk number 1: 
###################################################
#line 5 "advancedgraphics.Rnw"
options(prompt = ' ')
options(continue = ' ')
options(width = 60)
RweaveLatexOptions(list(width = 4, height = 4)) # make 4 inch by 4 inch the default figure size


###################################################
### chunk number 2: 
###################################################
#line 49 "advancedgraphics.Rnw"
library(grid)


###################################################
### chunk number 3: 
###################################################
#line 55 "advancedgraphics.Rnw"
grid.newpage()


###################################################
### chunk number 4: 
###################################################
#line 66 "advancedgraphics.Rnw"
grid.newpage()
grid.text("Hello world")
grid.text("Hello again", 0.1, 0.1, gp = gpar(col = "red"))
grid.text("Hello again", 0.9, 0.1, gp = gpar(col = "blue", fontface = "italic")) 
grid.text("Hello again", 0.1, unit(1, "inches"), gp = gpar(col = "grey", fontface = "bold")) 
grid.text("Hello again", 0.1, unit(0.1, "npc") + unit(1, "inches"), gp = gpar(fontface = "oblique")) 
grid.points(0.9, 0.9, default.units = "npc") # normalized parent coordinates
grid.rect(gp = gpar(fill='transparent'))


###################################################
### chunk number 5: 
###################################################
#line 107 "advancedgraphics.Rnw"
grid.newpage()
current.viewport()


###################################################
### chunk number 6: 
###################################################
#line 119 "advancedgraphics.Rnw"
grid.newpage()
pushViewport(viewport(xscale = c(0, 10), yscale = c(0, 10)))
grid.points(6, 7, pch = 1) # circle plot character
grid.points(0.6, 0.7, default.units = "npc", pch = 3) # cross plot character
grid.rect(gp=gpar(fill='transparent'))


###################################################
### chunk number 7: 
###################################################
#line 132 "advancedgraphics.Rnw"
set.seed(1234)


###################################################
### chunk number 8: 
###################################################
#line 136 "advancedgraphics.Rnw"
grid.newpage()
fakedata <- data.frame(X = rnorm(100), Y = rnorm(100))
pushViewport(viewport(xscale = range(fakedata$X), 
                      yscale = range(fakedata$Y)
                      )
             )
library(lattice)
panel.xyplot(fakedata$X, fakedata$Y)


###################################################
### chunk number 9: 
###################################################
#line 152 "advancedgraphics.Rnw"
extend.limits <- lattice:::extend.limits


###################################################
### chunk number 10: 
###################################################
#line 159 "advancedgraphics.Rnw"
range(fakedata$X)


###################################################
### chunk number 11: 
###################################################
#line 163 "advancedgraphics.Rnw"
extend.limits(range(fakedata$X))


###################################################
### chunk number 12: 
###################################################
#line 170 "advancedgraphics.Rnw"
print(xyplot(Y ~ X, data = fakedata, 
             panel = function(x, y, ...) { 
               panel.xyplot(x, y, ...)
               grid.text("Minimum x value -->", 
                         unit(min(x), "native"), 
                         unit(0.05, "npc"),
                         just = "left",
                         rot = 90
                         )
             }
             )
      )


###################################################
### chunk number 13: 
###################################################
#line 192 "advancedgraphics.Rnw"
grid.newpage()

lyt <- grid.layout(3, 3)
pushViewport(viewport(layout = lyt))
current.vpTree()
xlim <- extend.limits(range(fakedata$X))
ylim <- extend.limits(range(fakedata$Y))
pushViewport(viewport(layout.pos.row = 2, layout.pos.col = 1, 
                      xscale = xlim, 
                      yscale = ylim
                      )
             )
current.vpTree()
grid.rect(gp = gpar(fill='transparent'))
panel.xyplot(fakedata$X, fakedata$Y)
popViewport()
current.vpTree()
grid.rect(gp = gpar(fill='transparent', lwd = 3, lty = 2))


###################################################
### chunk number 14: 
###################################################
#line 215 "advancedgraphics.Rnw"
grid.newpage()
lyt2 <- grid.layout(2, 1, heights = unit.c(unit(1, "cm"), unit(1, "null")))
pushViewport(viewport(layout = lyt2))
pushViewport(viewport(layout.pos.row = 1))
grid.text("This is my title")
popViewport()
pushViewport(viewport(layout.pos.row = 2, xscale = xlim, yscale = ylim))
panel.xyplot(fakedata$X, fakedata$Y)
panel.axis("bottom", half = FALSE)
panel.axis("left", half = FALSE)
grid.rect(gp=gpar(fill='transparent'))


###################################################
### chunk number 15: 
###################################################
#line 241 "advancedgraphics.Rnw"
library(HH)
# From the HH documentation:
aewide <- data.frame(Event=letters[1:6],
                     N.A=c(50,50,50,50,50,50),
                     N.B=c(90,90,90,90,90,90),
                     AE.A=2*(1:6),
                     AE.B=1:6)
aewtol <- aeReshapeToLong(aewide)

xr <- logrelrisk(aewtol)


###################################################
### chunk number 16: 
###################################################
#line 256 "advancedgraphics.Rnw"
print(
      ae.dotplot(xr)
      )


###################################################
### chunk number 17: 
###################################################
#line 266 "advancedgraphics.Rnw"
grid.newpage()

pctlim <- extend.limits(range(xr$PCT))
lrrlim <- extend.limits(range(xr[c("logrelriskCI.lower", "logrelriskCI.upper")]))
preflim <- extend.limits(c(1, length(unique(xr$PREF))))

pushViewport(viewport(layout = grid.layout(1, 2, 
                        widths = c(2, 1)
                        )
                      )
             )

pushViewport(viewport(layout.pos.col = 1, xscale = pctlim, yscale = preflim))
panel.dotplot(xr$PCT, xr$PREF, 
                  pch = (1:2)[as.factor(xr$RAND)],
                  col = c("blue", "red")[as.factor(xr$RAND)]
                  )
grid.rect(gp =gpar(fill='transparent'))

popViewport()
pushViewport(viewport(layout.pos.col = 2, xscale = lrrlim, yscale = preflim))
panel.dotplot(xr$logrelrisk, xr$PREF)
panel.segments(xr$logrelriskCI.lower, xr$PREF, xr$logrelriskCI.upper, xr$PREF)
grid.rect(gp = gpar(fill='transparent'))


